<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.17"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Moxit: Catch::Timer Class Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">Moxit
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.17 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="namespaceCatch.html">Catch</a></li><li class="navelem"><a class="el" href="classCatch_1_1Timer.html">Timer</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="#pri-attribs">Private Attributes</a> &#124;
<a href="classCatch_1_1Timer-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">Catch::Timer Class Reference</div>  </div>
</div><!--header-->
<div class="contents">

<p><code>#include &lt;<a class="el" href="game_2catch_8hpp_source.html">catch.hpp</a>&gt;</code></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:a0a56e879e43f36c102bf9ea8b5fc8b72"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classCatch_1_1Timer.html#a0a56e879e43f36c102bf9ea8b5fc8b72">start</a> ()</td></tr>
<tr class="separator:a0a56e879e43f36c102bf9ea8b5fc8b72"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a57be5d17ca868a2d6fb1eea84de665cf"><td class="memItemLeft" align="right" valign="top">auto&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classCatch_1_1Timer.html#a57be5d17ca868a2d6fb1eea84de665cf">getElapsedNanoseconds</a> () const -&gt; uint64_t</td></tr>
<tr class="separator:a57be5d17ca868a2d6fb1eea84de665cf"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a545de17a61a6fee1dbe3de5b0723e5fa"><td class="memItemLeft" align="right" valign="top">auto&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classCatch_1_1Timer.html#a545de17a61a6fee1dbe3de5b0723e5fa">getElapsedMicroseconds</a> () const -&gt; uint64_t</td></tr>
<tr class="separator:a545de17a61a6fee1dbe3de5b0723e5fa"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a30aaf458dbb59dd8ac8971c9c62e0eac"><td class="memItemLeft" align="right" valign="top">auto&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classCatch_1_1Timer.html#a30aaf458dbb59dd8ac8971c9c62e0eac">getElapsedMilliseconds</a> () const -&gt; unsigned int</td></tr>
<tr class="separator:a30aaf458dbb59dd8ac8971c9c62e0eac"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a065e37e3c9eb16bd4dcf41971d8deedc"><td class="memItemLeft" align="right" valign="top">auto&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classCatch_1_1Timer.html#a065e37e3c9eb16bd4dcf41971d8deedc">getElapsedSeconds</a> () const -&gt; double</td></tr>
<tr class="separator:a065e37e3c9eb16bd4dcf41971d8deedc"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a0a56e879e43f36c102bf9ea8b5fc8b72"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classCatch_1_1Timer.html#a0a56e879e43f36c102bf9ea8b5fc8b72">start</a> ()</td></tr>
<tr class="separator:a0a56e879e43f36c102bf9ea8b5fc8b72"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a57be5d17ca868a2d6fb1eea84de665cf"><td class="memItemLeft" align="right" valign="top">auto&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classCatch_1_1Timer.html#a57be5d17ca868a2d6fb1eea84de665cf">getElapsedNanoseconds</a> () const -&gt; uint64_t</td></tr>
<tr class="separator:a57be5d17ca868a2d6fb1eea84de665cf"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a545de17a61a6fee1dbe3de5b0723e5fa"><td class="memItemLeft" align="right" valign="top">auto&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classCatch_1_1Timer.html#a545de17a61a6fee1dbe3de5b0723e5fa">getElapsedMicroseconds</a> () const -&gt; uint64_t</td></tr>
<tr class="separator:a545de17a61a6fee1dbe3de5b0723e5fa"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a30aaf458dbb59dd8ac8971c9c62e0eac"><td class="memItemLeft" align="right" valign="top">auto&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classCatch_1_1Timer.html#a30aaf458dbb59dd8ac8971c9c62e0eac">getElapsedMilliseconds</a> () const -&gt; unsigned int</td></tr>
<tr class="separator:a30aaf458dbb59dd8ac8971c9c62e0eac"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a065e37e3c9eb16bd4dcf41971d8deedc"><td class="memItemLeft" align="right" valign="top">auto&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classCatch_1_1Timer.html#a065e37e3c9eb16bd4dcf41971d8deedc">getElapsedSeconds</a> () const -&gt; double</td></tr>
<tr class="separator:a065e37e3c9eb16bd4dcf41971d8deedc"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pri-attribs"></a>
Private Attributes</h2></td></tr>
<tr class="memitem:ac13c1ef867cc3b9f942032d5ed79c2a7"><td class="memItemLeft" align="right" valign="top">uint64_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classCatch_1_1Timer.html#ac13c1ef867cc3b9f942032d5ed79c2a7">m_nanoseconds</a> = 0</td></tr>
<tr class="separator:ac13c1ef867cc3b9f942032d5ed79c2a7"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<h2 class="groupheader">Member Function Documentation</h2>
<a id="a545de17a61a6fee1dbe3de5b0723e5fa"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a545de17a61a6fee1dbe3de5b0723e5fa">&#9670;&nbsp;</a></span>getElapsedMicroseconds() <span class="overload">[1/2]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">auto Catch::Timer::getElapsedMicroseconds </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const -&gt;  uint64_t</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a545de17a61a6fee1dbe3de5b0723e5fa"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a545de17a61a6fee1dbe3de5b0723e5fa">&#9670;&nbsp;</a></span>getElapsedMicroseconds() <span class="overload">[2/2]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">auto Catch::Timer::getElapsedMicroseconds </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const -&gt;  uint64_t</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a30aaf458dbb59dd8ac8971c9c62e0eac"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a30aaf458dbb59dd8ac8971c9c62e0eac">&#9670;&nbsp;</a></span>getElapsedMilliseconds() <span class="overload">[1/2]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">auto Catch::Timer::getElapsedMilliseconds </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const -&gt;  unsigned int</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a30aaf458dbb59dd8ac8971c9c62e0eac"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a30aaf458dbb59dd8ac8971c9c62e0eac">&#9670;&nbsp;</a></span>getElapsedMilliseconds() <span class="overload">[2/2]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">auto Catch::Timer::getElapsedMilliseconds </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const -&gt;  unsigned int</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a57be5d17ca868a2d6fb1eea84de665cf"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a57be5d17ca868a2d6fb1eea84de665cf">&#9670;&nbsp;</a></span>getElapsedNanoseconds() <span class="overload">[1/2]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">auto Catch::Timer::getElapsedNanoseconds </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const -&gt;  uint64_t</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a57be5d17ca868a2d6fb1eea84de665cf"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a57be5d17ca868a2d6fb1eea84de665cf">&#9670;&nbsp;</a></span>getElapsedNanoseconds() <span class="overload">[2/2]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">auto Catch::Timer::getElapsedNanoseconds </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const -&gt;  uint64_t</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a065e37e3c9eb16bd4dcf41971d8deedc"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a065e37e3c9eb16bd4dcf41971d8deedc">&#9670;&nbsp;</a></span>getElapsedSeconds() <span class="overload">[1/2]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">auto Catch::Timer::getElapsedSeconds </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const -&gt;  double</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a065e37e3c9eb16bd4dcf41971d8deedc"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a065e37e3c9eb16bd4dcf41971d8deedc">&#9670;&nbsp;</a></span>getElapsedSeconds() <span class="overload">[2/2]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">auto Catch::Timer::getElapsedSeconds </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const -&gt;  double</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a0a56e879e43f36c102bf9ea8b5fc8b72"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a0a56e879e43f36c102bf9ea8b5fc8b72">&#9670;&nbsp;</a></span>start() <span class="overload">[1/2]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void Catch::Timer::start </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a0a56e879e43f36c102bf9ea8b5fc8b72"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a0a56e879e43f36c102bf9ea8b5fc8b72">&#9670;&nbsp;</a></span>start() <span class="overload">[2/2]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void Catch::Timer::start </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<h2 class="groupheader">Member Data Documentation</h2>
<a id="ac13c1ef867cc3b9f942032d5ed79c2a7"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ac13c1ef867cc3b9f942032d5ed79c2a7">&#9670;&nbsp;</a></span>m_nanoseconds</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">uint64_t Catch::Timer::m_nanoseconds = 0</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<hr/>The documentation for this class was generated from the following file:<ul>
<li>backend/src/lib/game/<a class="el" href="game_2catch_8hpp_source.html">catch.hpp</a></li>
</ul>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.17
</small></address>
</body>
</html>
